-- #######################################
-- #######################################
--       GOH DEATH KNIGHT EVENT LOG
-- #######################################
-- #######################################

function GoH_DeathKnight.events.PLAYER_ENTERING_WORLD()
	-- print("Hello World.");
	GoH5_DeathKnight_SavedVariables();
	GoH_Settings_Set_Menu_Button_Images();
	GoH_DeathKnight_Set_Menu_Button_Images();
end

function GoH_DeathKnight.events.COMBAT_LOG_EVENT_UNFILTERED(timestamp, event, hideCaster, sourceGUID, sourceName, sourceFlags, sourceFlags2, destGUID, destName, destFlags, destFlags2, ...)

  -- ###########################################################################################################
  -- SINCE THESE ARE LOCAL, YOU CAN RE-USE THE SAME NAMES IN OTHER GOH CLASS MODS AND DON'T HAVE TO CHANGE THEM.
  -- ###########################################################################################################
  local GoH_spellID, GoH_spellName, GoH_all_spellSchool, GoH_amount, GoH_overkill, GoH_school, GoH_resisted, GoH_blocked, GoH_absorbed, GoH_critical = ...

	-- CHECK THE TIMER
	if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == nil then
		GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "YES";
	end

-- HEALTH HEALME EMOTE
if GoHv5_DeathKnight_Data.config.Use_Health_Warning == "YES" then
	if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote == "YES"  then
		if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote_Shown == "NO" then
			if ((UnitHealth("player") / UnitHealthMax("player")) <= (GoHv5_DeathKnight_Data.config.Health_Percentage)) then
			   DoEmote("healme");
			   GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote_Shown = "YES";
			end
		end
		if ((UnitHealth("player") / UnitHealthMax("player")) >= (GoHv5_DeathKnight_Data.config.Health_Percentage+0.05)) then
		   GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote_Shown = "NO";
		end
	end
end

-- MANA OOM EMOTE
if GoHv5_DeathKnight_Data.config.Use_Mana_Warning == "YES" then
	if GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Emote == "YES"  then
		if GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Emote_Shown == "NO" then
			if ((UnitMana("player") / UnitManaMax("player")) <= (GoHv5_DeathKnight_Data.config.Mana_Percentage)) then
			   DoEmote("oom");
			   GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Emote_Shown = "YES";
			end
		end
		if ((UnitMana("player") / UnitManaMax("player")) >= (GoHv5_DeathKnight_Data.config.Mana_Percentage+0.05)) then
		   GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Emote_Shown = "NO";
		end
	end
end

	-- ################################################################
	-- ################################################################
	-- ################################################################
	-- ################################################################
	-- ################################################################
	-- ################################################################
	-- ################################################################
	-- BEGIN DEATHKNIGHT SPELLS
	-- ################################################################

	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then -- BEGIN CLASS CHECK

		-- DEATH KNIGHT: DEATH GRIP
		if GoHv5_DeathKnight_Data.config.Death_Grip == "YES" then
			if (GoH_spellID == 49576) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					Play_Random_DEATHGRIP_Sound();

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end


			-- DEATH KNIGHT: DEATH AND DECAY
		if GoHv5_DeathKnight_Data.config.Death_and_Decay == "YES" then
			if (GoH_spellID == 43265) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\StealthDetected_Sonar.mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end


			-- DEATH KNIGHT: DEATH COIL
		if GoHv5_DeathKnight_Data.config.Death_Coil == "YES" then
			if (GoH_spellID == 47541) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Death_Coil.mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

			-- DEATH KNIGHT: EMPOWER RUNE WEAPON
		if GoHv5_DeathKnight_Data.config.Empower_Rune_Weapon == "YES" then
			if (GoH_spellID == 47568) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Sound\\Creature\\LichKing\\IC_Lich King_FMAttack01.ogg","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

			-- DEATH KNIGHT: ICEBOUND FORTITUDE
		if GoHv5_DeathKnight_Data.config.Icebound_Fortitude == "YES" then
			if (GoH_spellID == 48792) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\IceboundFortitude_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

			-- DEATH KNIGHT: ANTI-MAGIC SHELL
		if GoHv5_DeathKnight_Data.config.AntiMagic_Shell == "YES" then
			if (GoH_spellID == 48707) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Camouflage.mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

			 -- DEATH KNIGHT: ANTI-MAGIC ZONE
		if GoHv5_DeathKnight_Data.config.AntiMagic_Zone == "YES" then
			if (GoH_spellID == 51052) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Under_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

		-- DEATH KNIGHT: RAISE ALLY
		if GoHv5_DeathKnight_Data.config.Raise_Ally == "YES" then
			if (GoH_spellID == 61999) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\RaiseAlly_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

		-- DEATH KNIGHT: (RAISE ALLY) VOID TOUCH DEBUFF
		if GoHv5_DeathKnight_Data.config.Void_Touch_Debuff == "YES" then
			if (GoH_spellID == 97821) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\RaiseAlly_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

			-- DEATH KNIGHT: RAISE DEAD
		if GoHv5_DeathKnight_Data.config.Raise_Dead == "YES" then
			if (GoH_spellName == DeathKnight_Raise_Dead_Name) and (event == "SPELL_SUMMON") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\RaiseDead_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

			-- DEATH KNIGHT: ARMY OF THE DEAD
		if GoHv5_DeathKnight_Data.config.Army_of_the_Dead == "YES" then
			if (GoH_spellID == 42650) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\ArmyoftheDead2_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

			-- DEATH KNIGHT: SUMMON GARGOYLE
		if GoHv5_DeathKnight_Data.config.Summon_Gargoyle == "YES" then
			if (GoH_spellID == 49206) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\SummonGargoyle_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

			-- DEATH KNIGHT: DARK TRANSFORMATION
		if GoHv5_DeathKnight_Data.config.Dark_Transformation == "YES" then
			if (GoH_spellID == 63560) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Dark_Transformation_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

			-- DEATH KNIGHT: MIND FREEZE
		if GoHv5_DeathKnight_Data.config.Mind_Freeze == "YES" then
			if (GoH_spellID == 47528) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Strangulate_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

			-- DEATH KNIGHT: BLOOD BOIL
		if GoHv5_DeathKnight_Data.config.Blood_Boil == "YES" then
			if (GoH_spellID == 50842) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Toasty_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

			 -- DEATH KNIGHT: DARK COMMAND
		if GoHv5_DeathKnight_Data.config.Dark_Command == "YES" then
			if (GoH_spellID == 56222) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					Play_Random_DEATHGRIP_Sound();

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

		   -- DEATH KNIGHT: CHAINS OF ICE
		if GoHv5_DeathKnight_Data.config.Chains_of_Ice == "YES" then
			if (GoH_spellID == 45524) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					Play_Random_Laugh();

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

		   -- DEATH KNIGHT: PATH OF FROST
		if GoHv5_DeathKnight_Data.config.Path_of_Frost == "YES" then
			if (GoH_spellID == 3714) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Death_Coil_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

		   -- DEATH KNIGHT: DANCING RUNE WEAPON
		if GoHv5_DeathKnight_Data.config.Dancing_Rune_Weapon == "YES" then
			if (GoH_spellID == 49028) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					Play_Random_Laugh();

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

		   -- DEATH KNIGHT: REMORSELESS WINTER
		if GoHv5_DeathKnight_Data.config.Remorseless_Winter == "YES" then
			if (GoH_spellID == 196770) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\FreezingFog_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

		   -- DEATH KNIGHT: ASPHYXIATE
		if GoHv5_DeathKnight_Data.config.Asphyxiate == "YES" then
			if (GoH_spellID == 108194) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Strangulate_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

			-- DEATH KNIGHT: GORFIENDS GRASP
		if GoHv5_DeathKnight_Data.config.Gorfiends_Grasp == "YES" then
			if (GoH_spellID == 108199) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					Play_Random_DEATHGRIP_Sound();

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
		
		-- DEATH KNIGHT: CORPSE SHIELD
		if GoHv5_DeathKnight_Data.config.Corpse_Shield == "YES" then
			if (GoH_spellID == 207319) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Death_Pact_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
		
		-- DEATH KNIGHT: DARK ARBITER
		if GoHv5_DeathKnight_Data.config.Dark_Arbiter == "YES" then
			if (GoH_spellID == 207319) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\ArmyoftheDead2_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

		-- DEATH KNIGHT: DEATH GATE
		if GoHv5_DeathKnight_Data.config.Death_Gate == "YES" then
			if (GoH_spellName == DeathKnight_Death_Gate_Name) and (event == "SPELL_CAST_START") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Stargate.mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

	end -- END DEATH KNIGHT CLASS CHECK

        -- DEATH KNIGHT: CONTROL DEAD
		if GoHv5_DeathKnight_Data.config.Control_Undead == "YES" then
			if (GoH_spellName == DeathKnight_Control_Undead_Name) and (event == "SPELL_CAST_START") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\ArmyoftheDead_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

        -- DEATH KNIGHT: VAMPIRIC BLOOD
		if GoHv5_DeathKnight_Data.config.Vampiric_Blood == "YES" then
			if (GoH_spellID == 55233) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Heartbeat.mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
		
		-- DEATH KNIGHT: APOCALYPSE
		if GoHv5_DeathKnight_Data.config.Apocalypse == "YES" then
			if (GoH_spellID == 220143) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Sound\\Creature\\LichKing\\IC_Lich King_Special01.ogg","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
		
		-- DEATH KNIGHT: DEFILE
		if GoHv5_DeathKnight_Data.config.Defile == "YES" then
			if (GoH_spellID == 152280) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\I_See_You_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
		
		-- DEATH KNIGHT: PILLAR OF FROST
		if GoHv5_DeathKnight_Data.config.Pillar_of_Frost == "YES" then
			if (GoH_spellID == 51271) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Hand_of_Protection_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
		
		
	-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- BEGIN Warrior
	-- #######################################################################	

    -- Warrior: Taunt
		if GoHv5_DeathKnight_Data.config.Taunt == "YES" then
			if (GoH_spellID == 355) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					Play_Random_DEATHGRIP_Sound();

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
		
	 -- Warrior: AVATAR
		if GoHv5_DeathKnight_Data.config.Avatar == "YES" then
			if (GoH_spellID == 107574) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Dark_Transformation_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	
		
	-- Warrior: CHARGE
		if GoHv5_DeathKnight_Data.config.Charge == "YES" then
			if (GoH_spellID == 100) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\John_Cena.mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	

	-- Warrior: BLADESTORM
		if GoHv5_DeathKnight_Data.config.Bladestorm == "YES" then
			if (GoH_spellID == 227847) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Death_Coil_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	
		
		-- Warrior: BLADESTORM
		if GoHv5_DeathKnight_Data.config.Bladestorm == "YES" then
			if (GoH_spellID == 46924) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Death_Coil_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	
		
	-- Warrior: PUMMEL 
		if GoHv5_DeathKnight_Data.config.Pummel == "YES" then
			if (GoH_spellID == 6552) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Strangulate_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	

	-- Warrior: INTERCEPT 
		if GoHv5_DeathKnight_Data.config.Intercept == "YES" then
			if (GoH_spellID == 198304) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\John_Cena.mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	
		
	-- Warrior: SHOCKWAVE 
		if GoHv5_DeathKnight_Data.config.Shockwave == "YES" then
			if (GoH_spellID == 46968) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\All_Too_Easy_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	

	-- Warrior: EXECUTE 
		if GoHv5_DeathKnight_Data.config.Execute == "YES" then
			if (GoH_spellID == 5308) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Finish_It_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	
		
	-- Warrior: EXECUTE 
		if GoHv5_DeathKnight_Data.config.Execute == "YES" then
			if (GoH_spellID == 163201) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Finish_It_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	
		
	-- Warrior: DRAGON_ROAR 
		if GoHv5_DeathKnight_Data.config.Dragon_Roar == "YES" then
			if (GoH_spellID == 118000) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Hand_of_Protection_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	

	-- Warrior: THUNDER_CLAP 
		if GoHv5_DeathKnight_Data.config.Thunder_Clap == "YES" then
			if (GoH_spellID == 6343) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Soul_Fire.mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	
		
		-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- BEGIN PRIEST
	-- #######################################################################

	-- PRIEST: Leap of Faith
		if GoHv5_DeathKnight_Data.config.Leap_of_Faith == "YES" then
			if (GoH_spellID == 73325) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					Play_Random_DEATHGRIP_Sound();

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
		
		-- PRIEST: PHYCHIC SCREAM
		if GoHv5_DeathKnight_Data.config.phychic_scream == "YES" then
			if (GoH_spellID == 8122) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Out_Of_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
		
			-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- BEGIN PALLY
	-- #######################################################################

	
	-- PALLY HAND OF RECKONING
		if GoHv5_DeathKnight_Data.config.Hand_of_Reckoning == "YES" then
			if (GoH_spellID == 62124) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					Play_Random_DEATHGRIP_Sound();

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
		
		
		-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- BEGIN MONK
	-- #######################################################################
	
	
	-- MONK PROVOKE
		if GoHv5_DeathKnight_Data.config.Provoke == "YES" then
			if (GoH_spellID == 115546) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					Play_Random_DEATHGRIP_Sound();

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
		
		
	-- MONK Roll
		if GoHv5_DeathKnight_Data.config.Roll == "YES" then
			if (GoH_spellID == 109132) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Woooaaaoo.mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	
		
	-- MONK TIGER PALM
		if GoHv5_DeathKnight_Data.config.Tiger_Palm == "YES" then
			if (GoH_spellID == 100780) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Critical_1.mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
		
	-- MONK FLYING SERPENT KICK
		if GoHv5_DeathKnight_Data.config.Flying_Serpent_Kick == "YES" then
			if (GoH_spellID == 101545) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\John_Cena.mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	
		
	-- MONK RISING SUN KICK
		if GoHv5_DeathKnight_Data.config.Rising_Sun_Kick == "YES" then
			if (GoH_spellID == 107428) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Woooaaaoo.mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	
		
	-- MONK BLACKOUT KICK
		if GoHv5_DeathKnight_Data.config.Blackout_Kick == "YES" then
			if (GoH_spellID == 100784) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Woooaaaoo.mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

	-- MONK TOUCH OF DEATH
		if GoHv5_DeathKnight_Data.config.Touch_Of_Death == "YES" then
			if (GoH_spellID == 115080) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Hand_of_Protection_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	
		
	-- MONK SPEAR HAND STRIKE
		if GoHv5_DeathKnight_Data.config.Spear_Hand_Strike == "YES" then
			if (GoH_spellID == 116705) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Strangulate_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	
		
	-- MONK LEG SWEEP
		if GoHv5_DeathKnight_Data.config.Leg_Sweep == "YES" then
			if (GoH_spellID == 119381) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Laugh4_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	

	
		
		
		-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- BEGIN DRUID
	-- #######################################################################
	
	-- DRUID GROWL
		if GoHv5_DeathKnight_Data.config.Growl == "YES" then
			if (GoH_spellID == 6795) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					Play_Random_DEATHGRIP_Sound();

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
		
	-- DRUID CAT FORM
		if GoHv5_DeathKnight_Data.config.Cat_Form == "YES" then
			if (GoH_spellID == 768) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Taste_for_Blood_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	
		
	-- DRUID BEAR FORM
		if GoHv5_DeathKnight_Data.config.Bear_Form == "YES" then
			if (GoH_spellID == 5487) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Taste_for_Blood_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	

	-- DRUID MOONKIN FORM
		if GoHv5_DeathKnight_Data.config.Moonkin_Form == "YES" then
			if (GoH_spellID == 24858) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Hand_of_Protection_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end		

	-- DRUID TRAVEL FORM
		if GoHv5_DeathKnight_Data.config.Travel_Form == "YES" then
			if (GoH_spellID == 783) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Animality_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	

	-- DRUID SKULL BASH
		if GoHv5_DeathKnight_Data.config.Skull_Bash == "YES" then
			if (GoH_spellID == 106839) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Strangulate_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	

	-- DRUID STAMPEDING ROAR
		if GoHv5_DeathKnight_Data.config.Stampeding_Roar == "YES" then
			if (GoH_spellID == 106898) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Soul_Fire.mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	

	-- DRUID DASH
		if GoHv5_DeathKnight_Data.config.Dash == "YES" then
			if (GoH_spellID == 1850) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Soul_Fire.mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	
		
		-- DRUID PROWL
		if GoHv5_DeathKnight_Data.config.Prowl == "YES" then
			if (GoH_spellID == 5215) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Camouflage.mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	
		
		-- DRUID STARFALL
		if GoHv5_DeathKnight_Data.config.Starfall == "YES" then
			if (GoH_spellID == 191034) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\All_Too_Easy_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end	
		
		
		-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- BEGIN Warlock
	-- #######################################################################
	
	
	-- WARLOCK MORTAL COIL
		if GoHv5_DeathKnight_Data.config.Mortal_Coil == "YES" then
			if (GoH_spellID == 6789) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Out_Of_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
		
		-- WARLOCK HOWL OF TERROR
		if GoHv5_DeathKnight_Data.config.Howl_of_Terror == "YES" then
			if (GoH_spellID == 5484) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Out_Of_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
		
	-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- BEGIN HUNTER
	-- #######################################################################
	
	-- HUNTER A MURDER OF CROWS
		if GoHv5_DeathKnight_Data.config.A_Murder_Of_Crows == "YES" then
			if (GoH_spellID == 131894) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\ArmyoftheDead_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end		

	-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- #######################################################################
	-- BEGIN RACIALS
	-- #######################################################################

	   -- HUMAN RACIAL: EVERY MAN FOR HIMSELF
	if GoHv5_DeathKnight_Data.config.Every_Man_For_Himself == "YES" then
		if GoH_DeathKnight.Race == "Human" then
			if (GoH_spellID == 59752) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\You_Are_Nothing_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
	end

		-- NIGHTELF RACIAL: -- SHADOWMELD
	if GoHv5_DeathKnight_Data.config.NightElf_Racial_Shadowmeld == "YES" then
		if GoH_DeathKnight.Race == "NightElf" then
			if (GoH_spellID == 58984) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Camouflage.mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
	end

	   -- WOGEN RACIAL: TWO FORMS
	if GoHv5_DeathKnight_Data.config.Worgen_Two_Forms_Racial == "YES" then
		if GoH_DeathKnight.Race == "Worgen" then
			if (GoH_spellID == 68996) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					Play_Random_Laugh();

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
	end

	   -- GNOME RACIAL: ESCAPE ARTIST
	if GoHv5_DeathKnight_Data.config.Gnome_Escape_Artist_Racial == "YES" then
		if GoH_DeathKnight.Race == "Gnome" then
			if (GoH_spellID == 20589) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					Play_Random_Laugh();

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
	end

	   -- DRAENEI RACIAL: GIFT OF THE NAARU
	if GoHv5_DeathKnight_Data.config.Draenei_Gift_Racial == "YES" then
		if GoH_DeathKnight.Race == "Draenei" then
			if (GoH_spellName == Draenei_Gift_of_the_Naaru_Name) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\HolyPower_1.mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
	end

	   -- PANDAREN RACIAL: QUAKING PALM
	if GoHv5_DeathKnight_Data.config.Pandaren_Quaking_Palm_Racial == "YES" then
		if GoH_DeathKnight.Race == "Pandaren" then
			if (GoH_spellID == 107079) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Woooaaaoo.mp3","Master");

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
	end

	   -- BLOOD ELF RACIAL: ARCANE TORRENT
	if GoHv5_DeathKnight_Data.config.BloodElf_Arcane_Torrent_Racial == "YES" then
		if (GoH_DeathKnight.Race == "BloodElf") or (GoH_DeathKnight.Race == "Blood Elf") then
			if (GoH_spellName == BloodElf_Arcane_Torrent_Name) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					Play_Random_Laugh();

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
	end

	   -- GOBLIN RACIAL: ROCKET JUMP
	if GoHv5_DeathKnight_Data.config.Goblin_Rocket_Jump_Racial == "YES" then
		if GoH_DeathKnight.Race == "Goblin" then
			if (GoH_spellID == 69070) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					Play_Random_Laugh();

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
	end

	   -- ORC RACIAL: BLOOD FURY
	if GoHv5_DeathKnight_Data.config.Orc_Blood_Fury_Racial == "YES" then
		if GoH_DeathKnight.Race == "Orc" then
			if (GoH_spellName == Orc_Blood_Fury_Name) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					Play_Random_Laugh();

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
	end

	   -- TROLL RACIAL: BERSERKING
	if GoHv5_DeathKnight_Data.config.Troll_Berserking_Racial == "YES" then
		if GoH_DeathKnight.Race == "Troll" then
			if (GoH_spellID == 26297) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					Play_Random_Laugh();

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
	end

	   -- UNDEAD RACIAL: WILL OF THE FORSAKEN
	if GoHv5_DeathKnight_Data.config.Undead_Will_of_the_Forsaken_Racial == "YES" then
		if (GoH_DeathKnight.Race == "Undead") or (GoH_DeathKnight.Race == "Forsaken") or (GoH_DeathKnight.Race == "Scourge") then
			if (GoH_spellID == 7744) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					Play_Random_Laugh();

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
	end

end



-- #######################################
-- #######################################
-- UNIT SPELLCAST SUCCEEDED
-- #######################################
-- #######################################
function GoH_DeathKnight.events.UNIT_SPELLCAST_SUCCEEDED(caster, GoH_spellName, arg2, arg3, GoH_spellID, arg5, ...)


	   -- DWARF RACIAL: STONEFORM
	if GoHv5_DeathKnight_Data.config.Dwarve_Stoneform_Racial == "YES" then
		if GoH_DeathKnight.Race == "Dwarf" then
			if (GoH_spellName == Dwarve_Stoneform_Name) and (caster == "player")then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					Play_Random_Laugh();

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
	end

	   -- TAUREN RACIAL: WAR STOMP
	if GoHv5_DeathKnight_Data.config.Tauren_War_Stomp_Racial == "YES" then
		if GoH_DeathKnight.Race == "Tauren" then
			if (GoH_spellName == Tauren_War_Stomp_Name) and (caster == "player")then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					Play_Random_Laugh();

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end
	end


	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then -- BEGIN CLASS CHECK

		-- DEATH KNIGHT: ACHERUS DEATHCHARGER
		if GoHv5_DeathKnight_Data.config.Acherus_Deathcharger == "YES" then
			if (GoH_spellName == DeathKnight_Acherus_Deathcharger_Name) and (caster == "player")then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Summon_Mount_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- DO YOUR EMOTE
					if GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_UseName == "YES" then
						if GoH_DeathKnight.Gender == "Female" then
								SendChatMessage("summons " .. GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_CustomName .. ", her trusty " .. GetSpellLink(DeathKnight_Acherus_Deathcharger_ID) .. ".", "EMOTE");
						else
								SendChatMessage("summons " .. GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_CustomName .. ", his trusty " .. GetSpellLink(DeathKnight_Acherus_Deathcharger_ID) .. ".", "EMOTE");
						end
					end

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end

			end
		end

		-- DEATH KNIGHT: WINGED STEED OF THE EBON BLADE
		if GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade == "YES" then
			if (GoH_spellName == DeathKnight_Winged_Steed_Name) and (caster == "player")then

				if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

					-- PLAY YOUR SOUND
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Summon_Mount_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

					-- DO YOUR EMOTE
					if GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_UseName == "YES" then
						if GoH_DeathKnight.Gender == "Female" then
								SendChatMessage("summons " .. GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_CustomName .. ", her trusty " .. GetSpellLink(DeathKnight_Winged_Steed_ID) .. ".", "EMOTE");
						else
								SendChatMessage("summons " .. GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_CustomName .. ", his trusty " .. GetSpellLink(DeathKnight_Winged_Steed_ID) .. ".", "EMOTE");
						end
					end

					-- RESET THE TIMER
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
					-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

				end
			end
		end

	end -- END DEATH KNIGHT CLASS CHECK
end




-- #######################################
-- #######################################
-- PLAYER ENTER COMBAT SOUNDS
-- #######################################
-- #######################################
function GoH_DeathKnight.events.PLAYER_REGEN_DISABLED()

	if GoHv5_DeathKnight_Data.config.Menu_Fight_Sound == "YES" then

			if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

				-- PLAY YOUR SOUND
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Fight_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

				-- RESET THE TIMER
				GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
				-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

			end
	end

		-- #######################################
		-- #######################################

		if GoHv5_DeathKnight_Data.config.Menu_Fight_Music == "YES" then

					-- PLAY FIGHTING MUSIC
						-- CALL RANDOM MATH GENERATOR
						GoH_DeathKnight.NumberRandom = math.random(11);

						-- USE RANDOM MATH GENERATED RESULT

						if (GoH_DeathKnight.NumberRandom == 1) then

							PlayMusic("Interface\\AddOns\\GoH\\Music\\EBM.mp3");

						elseif (GoH_DeathKnight.NumberRandom ~= 1) then

							PlayRandomCombatMusic();

						end

		end

		-- #######################################
		-- #######################################

end

function PlayRandomCombatMusic()

					-- PLAY RANDOM FIGHTING MUSIC
						-- CALL RANDOM MATH GENERATOR
						GoH_DeathKnight.NumberRandom = math.random(11);

						-- USE RANDOM MATH GENERATED RESULT

						if (GoH_DeathKnight.NumberRandom == 1) then

							PlayMusic("Interface\\AddOns\\GoH\\Music\\EBM.mp3");

						elseif (GoH_DeathKnight.NumberRandom == 2) then

							PlayMusic("Interface\\AddOns\\GoH_EBM\\Music\\EBM_1.mp3");

						elseif (GoH_DeathKnight.NumberRandom == 3) then

							PlayMusic("Interface\\AddOns\\GoH_EBM\\Music\\EBM_2.mp3");

						elseif (GoH_DeathKnight.NumberRandom == 4) then

							PlayMusic("Interface\\AddOns\\GoH_EBM\\Music\\EBM_3.mp3");

						elseif (GoH_DeathKnight.NumberRandom == 5) then

							PlayMusic("Interface\\AddOns\\GoH_EBM\\Music\\EBM_4.mp3");
							
						elseif (GoH_DeathKnight.NumberRandom == 6) then

							PlayMusic("Interface\\AddOns\\GoH_EBM\\Music\\EBM_5.mp3");

						elseif (GoH_DeathKnight.NumberRandom == 7) then

							PlayMusic("Interface\\AddOns\\GoH_EBM\\Music\\EBM_6.mp3");

						elseif (GoH_DeathKnight.NumberRandom == 8) then

							PlayMusic("Interface\\AddOns\\GoH_EBM\\Music\\EBM_7.mp3");

						elseif (GoH_DeathKnight.NumberRandom == 9) then

							PlayMusic("Interface\\AddOns\\GoH_EBM\\Music\\EBM_8.mp3");

						elseif (GoH_DeathKnight.NumberRandom == 10) then

							PlayMusic("Interface\\AddOns\\GoH_EBM\\Music\\EBM_9.mp3");

						elseif (GoH_DeathKnight.NumberRandom == 11) then

							PlayMusic("Interface\\AddOns\\GoH_EBM\\Music\\EBM_10.mp3");	

						end

end

-- #######################################
-- #######################################
-- PLAYER LEAVE COMBAT SOUNDS
-- #######################################
-- #######################################
function GoH_DeathKnight.events.PLAYER_REGEN_ENABLED()

	if GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound == "YES" then

			if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

				-- PLAY YOUR SOUND
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Fatality_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

				-- RESET THE TIMER
				GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
				-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

			end
	end


		-- #######################################
		-- #######################################

		if GoHv5_DeathKnight_Data.config.Menu_Fight_Music == "YES" then

			-- STOP FIGHTING MUSIC
				StopMusic();
		end

		-- #######################################
		-- #######################################
end


function GoH_DeathKnight.events.PLAYER_LOGIN()

			local playerClass, EngClass = UnitClass("player");
			GoH_DeathKnight.Class = EngClass;
			GoHv5_DeathKnight_Data.config.LoggedInAsClass = GoH_DeathKnight.Class;
			-- print(GoHv5_DeathKnight_Data.config.LoggedInAsClass)

			
			
			
			             -- GOH SETTING: GENDER BENDER
						if GoHv5_DeathKnight_Data.config.Gender_Bender == nil then
							GoHv5_DeathKnight_Data.config.Gender_Bender = "NO";
						end

						if GoH_DeathKnight.RealGender == nil then
							GoH_DeathKnight.RealGender = genderTable[UnitSex("player")];
						end
						if GoH_DeathKnight.Gender == nil then
							GoH_DeathKnight.Gender = GoH_DeathKnight.RealGender;
						end

			-- GOH SETTING: GENDER BENDER
			if GoHv5_DeathKnight_Data.config.Gender_Bender == "NO" then
				-- REAL GENDER
				GoH_DeathKnight.Gender = GoH_DeathKnight.RealGender;
			else
				-- OPPOSITE TO REAL
				if GoH_DeathKnight.RealGender == "Female" then
					-- Change to Male
					GoH_DeathKnight.Gender = "Male";
				else
					-- Change to Female
					GoH_DeathKnight.Gender = "Female";
				end
			end

			if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
				if GoHv5_DeathKnight_Data.config.Stupid_Login_Sound == "YES"then

					if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "YES" then

						-- PLAY YOUR SOUND
						PlaySoundFile("Sound\\Creature\\LichKing\\EH_LichKing_Irritated1.ogg","Master");

						-- RESET THE TIMER
						GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
						-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

					end
				end
			end
end



